Subject: Re: [PATCH 00/16] xics and ipi cleanups for 2.6.28

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 13 Oct 2008 16:28:00 +1100

On Fri, 2008-10-10 at 06:56 -0500, Milton Miller wrote:
> The first two patches in this series implememnt a couple of bug
> fixes for the xics interrupt controller accessed as found in pseries
> hardware.  The next several patches implement some code orginization
> and cleanups, followed by some changes to reduce code or flag the
> behavior to generic code.
> 
> The last 5 patces are independent of the xics changes, although the
> first one affects xics.  They are designed to reduce interrupt
> overhead for interprocessor interupts.  

I've merged 1..13. The other ones, I'm less sure about, we need to
have a closer look (in addition to Geert comments) and they are
probably not .28 material anyway.

Cheers,
Ben.